Bug 1358741 - Review Request: python-msrestazure - AutoRest swagger generator Python client runtime (Azure-specific module)
Summary: Review Request: python-msrestazure - AutoRest swagger generator Python client...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact:
URL:
Whiteboard:
Depends On: 1358739
Blocks: 1297852
TreeView+ depends on / blocked
 
Reported: 2016-07-21 11:57 UTC by Mohamed El Morabity
Modified: 2017-09-30 06:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-17 03:50:41 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Mohamed El Morabity 2016-07-21 11:57:15 UTC
Spec URL: https://melmorabity.fedorapeople.org/packages/python-msrestazure/python-msrestazure.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/python-msrestazure/python-msrestazure-0.4.1-1.fc24.src.rpm
Description: AutoRest swagger generator Python client runtime (Azure-specific module)
Fedora Account System Username: melmorabity

Comment 5 Mohamed El Morabity 2017-03-01 07:05:20 UTC
Ping?

Comment 6 William Moreno 2017-03-13 19:56:44 UTC
Looks good, just let run fedora-review to check is there is something to fix.

Comment 7 William Moreno 2017-03-13 20:01:08 UTC
+ /usr/bin/python2 setup.py test
----------------------------------------------------------------------
Ran 0 tests in 0.000s

The python2 test did not find any test, anyway this is not a bloquer.

Comment 10 Robert-André Mauchin 2017-08-28 18:04:29 UTC
Hello,

 - Bump to version 0.4.13. You'll need to add a BR to python-httpretty for the tests.

 - The Group: tag is not needed on Fedora. See: https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

 - You could use the %{py2_dist/%{py3_dist macros for your dependencies. See: 
https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

It gives something like this:

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
%if 0%{?_with_python3}
BuildRequires:  python3-devel
%endif
%if 0%{?_with_tests}
BuildRequires:  %{py2_dist adal} >= %{adal_min_version}
BuildRequires:  %{py2_dist certifi}
BuildRequires:  %{py2_dist keyring}
BuildRequires:  %{py2_dist msrest} >= %{msrest_min_version}
BuildRequires:  %{py2_dist httpretty}
%if 0%{?_with_python3}
BuildRequires:  %{py3_dist adal} >= %{adal_min_version}
BuildRequires:  %{py3_dist certifi}
BuildRequires:  %{py3_dist keyring}
BuildRequires:  %{py3_dist msrest} >= %{msrest_min_version}
BuildRequires:  %{py3_dist httpretty}
%endif
%endif
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{srcname}
Summary:        %{common_summary}
Requires:       %{py2_dist adal} >= %{adal_min_version}
Requires:       %{py2_dist keyring}
Requires:       %{py2_dist msrest} >= %{msrest_min_version}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}


%if 0%{?_with_python3}
%package -n python3-%{srcname}
Summary:        %{common_summary}
Requires:       %{py3_dist adal} >= %{adal_min_version}
Requires:       %{py3_dist keyring}
Requires:       %{py3_dist msrest} >= %{msrest_min_version}
%{?python_provide:%python_provide python3-%{srcname}}




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 13 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-msrestazure/review-python-
     msrestazure/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-msrestazure , python3-msrestazure
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-msrestazure-0.4.13-1.fc28.noarch.rpm
          python3-msrestazure-0.4.13-1.fc28.noarch.rpm
          python-msrestazure-0.4.13-1.fc28.src.rpm
python2-msrestazure.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
python2-msrestazure.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python3-msrestazure.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
python3-msrestazure.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python-msrestazure.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
python-msrestazure.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 11 Mohamed El Morabity 2017-08-30 10:14:09 UTC
Thanks for taking over the review.

(In reply to Robert-André Mauchin from comment #10)
>  - Bump to version 0.4.13. You'll need to add a BR to python-httpretty for
> the tests.
Updated. The BR was already available in previous versions.

>  - The Group: tag is not needed on Fedora. See:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections
Not needed anymore but not forbidden :).

>  - You could use the %{py2_dist/%{py3_dist macros for your dependencies.
> See: 
> https://fedoraproject.org/wiki/Packaging:
> Python#Requires_and_BuildRequires_with_standardized_names
The packages were submitted before guidelines changes. Anayway I'd like to keep the same spec file for both Fedora and EPEL. I rely then on https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3#Q.26A to better handle Python dependencies.

Spec file:
https://copr-be.cloud.fedoraproject.org/results/melmorabity/azure/fedora-rawhide-x86_64/00595483-python-msrestazure/python-msrestazure.spec

SRPM file:
https://copr-be.cloud.fedoraproject.org/results/melmorabity/azure/fedora-rawhide-x86_64/00595483-python-msrestazure/python-msrestazure-0.4.13-1.fc28.src.rpm

Comment 12 Robert-André Mauchin 2017-08-30 15:23:58 UTC
No issue detected, the package is accepted.

Comment 13 Gwyn Ciesla 2017-09-04 18:10:24 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-msrestazure

Comment 14 Fedora Update System 2017-09-05 09:29:09 UTC
python-msrestazure-0.4.13-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9

Comment 15 Fedora Update System 2017-09-05 09:29:16 UTC
python-msrestazure-0.4.13-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f

Comment 16 Fedora Update System 2017-09-05 09:29:21 UTC
python-msrestazure-0.4.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958

Comment 17 Fedora Update System 2017-09-05 09:29:26 UTC
python-msrestazure-0.4.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615

Comment 18 Fedora Update System 2017-09-06 22:23:44 UTC
python-msrestazure-0.4.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f

Comment 19 Fedora Update System 2017-09-06 22:29:18 UTC
python-msrestazure-0.4.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958

Comment 20 Fedora Update System 2017-09-07 12:18:16 UTC
python-msrestazure-0.4.13-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9

Comment 21 Fedora Update System 2017-09-07 14:30:46 UTC
python-msrestazure-0.4.13-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615

Comment 22 Fedora Update System 2017-09-08 09:26:44 UTC
python-azure-sdk-2.0.0-2.fc27 python-azure-storage-0.36.0-1.fc27 python-msrestazure-0.4.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615

Comment 23 Fedora Update System 2017-09-08 09:29:19 UTC
python-azure-sdk-2.0.0-2.fc25 python-azure-storage-0.36.0-1.fc25 python-msrestazure-0.4.13-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f

Comment 24 Fedora Update System 2017-09-08 09:30:19 UTC
python-azure-sdk-2.0.0-2.fc26 python-azure-storage-0.36.0-1.fc26 python-msrestazure-0.4.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958

Comment 25 Fedora Update System 2017-09-08 09:31:43 UTC
python-azure-sdk-2.0.0-2.el7 python-azure-storage-0.36.0-1.el7 python-msrestazure-0.4.13-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9

Comment 26 Fedora Update System 2017-09-08 15:24:24 UTC
python-azure-sdk-2.0.0-2.fc27, python-azure-storage-0.36.0-1.fc27, python-msrestazure-0.4.13-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615

Comment 27 Fedora Update System 2017-09-08 21:48:10 UTC
python-azure-sdk-2.0.0-2.el7, python-azure-storage-0.36.0-1.el7, python-msrestazure-0.4.13-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9

Comment 28 Fedora Update System 2017-09-08 22:20:55 UTC
python-azure-sdk-2.0.0-2.fc25, python-azure-storage-0.36.0-1.fc25, python-msrestazure-0.4.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f

Comment 29 Fedora Update System 2017-09-08 22:23:24 UTC
python-azure-sdk-2.0.0-2.fc26, python-azure-storage-0.36.0-1.fc26, python-msrestazure-0.4.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958

Comment 30 Fedora Update System 2017-09-17 03:50:41 UTC
python-azure-sdk-2.0.0-2.fc26, python-azure-storage-0.36.0-1.fc26, python-msrestazure-0.4.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2017-09-17 09:48:58 UTC
python-azure-sdk-2.0.0-2.fc25, python-azure-storage-0.36.0-1.fc25, python-msrestazure-0.4.13-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-09-23 22:19:22 UTC
python-azure-sdk-2.0.0-2.el7, python-azure-storage-0.36.0-1.el7, python-msrestazure-0.4.13-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2017-09-30 06:16:56 UTC
python-azure-sdk-2.0.0-2.fc27, python-azure-storage-0.36.0-1.fc27, python-msrestazure-0.4.13-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.